# Hypersets Examples

This directory contains various examples demonstrating the capabilities of the Hypersets library.

## 🏃 Quick Demo (`demo.py`)
```bash
python examples/demo.py
```
**Complete feature demonstration** - Shows all Hypersets capabilities with real datasets.

## 📚 Basic Usage (`basic_usage.py`)
```bash
python examples/basic_usage.py  
```
**Learn the fundamentals** - Dataset info, querying, sampling, caching, and output formats.

## 🔬 Advanced Queries (`advanced_queries.py`)
```bash  
python examples/advanced_queries.py
```
**Sophisticated analytics** - Text analysis, pattern matching, quality metrics, and performance optimization. 